Loading...
Searching...
No Matches
memcpy
lwIP » Options (lwipopts.h) » Infrastructure

## Macros

#define | MEMCPY(dst, src, len)
#define | SMEMCPY(dst, src, len)
#define | MEMMOVE(dst, src, len)

## Detailed Description

## Macro Definition Documentation

## MEMCPY

#define MEMCPY | ( |  | dst,
|  |  | src,
|  |  | len )

Value:
memcpy(dst,src,len)

MEMCPY: override this if you have a faster implementation at hand than the one included in your C library

## MEMMOVE

#define MEMMOVE | ( |  | dst,
|  |  | src,
|  |  | len )

Value:
memmove(dst,src,len)

MEMMOVE: override this if you have a faster implementation at hand than the one included in your C library. lwIP currently uses MEMMOVE only when IPv6 fragmentation support is enabled.

## SMEMCPY

#define SMEMCPY | ( |  | dst,
|  |  | src,
|  |  | len )

Value:
memcpy(dst,src,len)

SMEMCPY: override this with care! Some compilers (e.g. gcc) can inline a call to memcpy() if the length is known at compile time and is small.